### Constructor

# Gtk.TreeView.new_with_model

#### Declaration [src]

    GtkWidget*
    gtk_tree_view_new_with_model (
      GtkTreeModel* model
    )

#### Description [src]

Creates a new `GtkTreeView` widget with the model initialized to `model`.

#### Parameters

`model` | `GtkTreeModel`
| the model.
| Ownership is not transferred to the callee

#### Return value

Returns: `GtkWidget`
A newly created `GtkTreeView` widget.
Ownership is not transferred to the caller